//
//  OpenGLViewController.m
//  Week9_Miscellaneous
//
//  Created by Jason Fieldman on 3/18/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "OpenGLViewController.h"


@implementation OpenGLViewController

- (id) init {
	if (self = [super init]) {
		self.title = @"OpenGL";
		self.view = [[[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 480)] autorelease];
		
		/* Initialize and add the OpenGL view */
		oglView = [[[OpenGLView alloc] initWithFrame:CGRectMake(20, 20, 280, 280)] autorelease];
		[self.view addSubview:oglView];
				
		/* Initialize and add the buttons */
		UIButton *but1 = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		but1.frame = CGRectMake(60, 20, 200, 50);
		[but1 setTitle:@"Toggle Animation" forState:UIControlStateNormal];
		[but1 addTarget:self action:@selector(handleButton1Press:) forControlEvents:UIControlEventTouchUpInside];
		but1.alpha = 0.75;
		[self.view addSubview:but1];
		
	}
	return self;
}


- (void) viewWillAppear:(BOOL)animated {
	[super viewWillAppear:animated];
	[oglView startAnimation];
	NSLog(@"Animation start");
}

- (void) viewWillDisappear:(BOOL)animated {
	[super viewWillDisappear:animated];
	[oglView stopAnimation];
	NSLog(@"Animation stopped");
}


- (void)dealloc {
    [super dealloc];
}


- (void) handleButton1Press:(id)sender {
	if (oglView.animating) {
		[oglView stopAnimation];
		NSLog(@"Animation stopped");
	} else {
		[oglView startAnimation];
		NSLog(@"Animation start");
	}
}



@end
