//
//  Week9_MiscellaneousAppDelegate.m
//  Week9_Miscellaneous
//
//  Created by Jason Fieldman on 3/18/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "Week9_MiscellaneousAppDelegate.h"
#import "MemoryIssuesViewController.h"
#import "ThreadingViewController.h"
#import "OpenGLViewController.h"

@implementation Week9_MiscellaneousAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    
    
	UITabBarController *tabBarController = [[UITabBarController alloc] init];
	
	tabBarController.viewControllers = [NSArray arrayWithObjects:
										[[[MemoryIssuesViewController       alloc] init] autorelease],
										[[[ThreadingViewController          alloc] init] autorelease],
										[[[OpenGLViewController             alloc] init] autorelease],
										nil									
										];
		
	[window addSubview:tabBarController.view];
	[window makeKeyAndVisible];
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
